Package org.eclipse.equinox.http.registry.internal

# Class HttpServiceTracker

java.lang.Object
org.osgi.util.tracker.ServiceTracker<HttpService,HttpService>
org.eclipse.equinox.http.registry.internal.HttpServiceTracker

All Implemented Interfaces:
  `ServiceTrackerCustomizer<HttpService,HttpService>`

public class HttpServiceTracker extends ServiceTracker<HttpService,HttpService>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`HttpServiceTracker.HttpContextExtensionServiceFactory`
`class`
`HttpServiceTracker.HttpContextExtensionServiceImpl`

## Field Summary

### Fields inherited from class org.osgi.util.tracker.ServiceTracker

`context, filter`

## Constructor Summary

Constructors
Constructor
Description
`HttpServiceTracker(BundleContext context, PackageAdmin packageAdmin, IExtensionRegistry registry)`

## Method Summary

Modifier and Type
Method
Description
`HttpService`
`addingService(ServiceReference<HttpService> reference)`
`void`
`close()`
`void`
`modifiedService(ServiceReference<HttpService> reference, HttpService service)`
`void`
`open()`
`void`
`removedService(ServiceReference<HttpService> reference, HttpService service)`

### Methods inherited from class org.osgi.util.tracker.ServiceTracker

`getService, getService, getServiceReference, getServiceReferences, getServices, getServices, getTracked, getTrackingCount, isEmpty, open, remove, size, waitForService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpServiceTracker

public HttpServiceTracker(BundleContext context, PackageAdmin packageAdmin, IExtensionRegistry registry)

## Method Details

### open

public void open()

Overrides:
  `open` in class `ServiceTracker<HttpService,HttpService>`

### close

public void close()

Overrides:
  `close` in class `ServiceTracker<HttpService,HttpService>`

### addingService

public HttpService addingService(ServiceReference<HttpService> reference)

Specified by:
  `addingService` in interface `ServiceTrackerCustomizer<HttpService,HttpService>`
Overrides:
  `addingService` in class `ServiceTracker<HttpService,HttpService>`

### modifiedService

public void modifiedService(ServiceReference<HttpService> reference, HttpService service)

Specified by:
  `modifiedService` in interface `ServiceTrackerCustomizer<HttpService,HttpService>`
Overrides:
  `modifiedService` in class `ServiceTracker<HttpService,HttpService>`

### removedService

public void removedService(ServiceReference<HttpService> reference, HttpService service)

Specified by:
  `removedService` in interface `ServiceTrackerCustomizer<HttpService,HttpService>`
Overrides:
  `removedService` in class `ServiceTracker<HttpService,HttpService>`